### Method

# GLib Variant get_maybe

since: 2.24

#### Declaration

    GVariant*
    g_variant_get_maybe (
      GVariant* value
    )

#### Description

Given a maybe-typed `GVariant` instance, extract its value. If the value is Nothing, then this function returns `NULL`.

Available since: 2.24

#### Return value

Type: `GVariant`

The contents of `value`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.